aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorRob Landley <rob@landley.net>2018-11-01 17:51:12 -0500
committerRob Landley <rob@landley.net>2018-11-01 17:51:12 -0500
commit6a6b12317149b41b163513e345f43167778f113f (patch)
treede3f05c02fcf7b4287ecd259b8d97cc70c5797ab /scripts
parent46e18cfc38bf12d2f885d3f471e62701ea7c759a (diff)
downloadtoybox-6a6b12317149b41b163513e345f43167778f113f.tar.gz
Discard harmless error messages.
genbuild() is a bunch of echo statements, and with enough parallelism piping its output to "head" can close the pipe before all the echo statements have run, then they complain about writing to a closed pipe. (We're intentionally discarding the output, it's not an error, so...)
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/make.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index ca48cd02..306a7cda 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -101,7 +101,7 @@ genbuildsh()
echo '$BUILD $FILES $LINK'
}
-if ! cmp -s <(genbuildsh | head -n 6 ; echo LINK="'"$LDOPTIMIZE $LDFLAGS) \
+if ! cmp -s <(genbuildsh 2>/dev/null | head -n 6 ; echo LINK="'"$LDOPTIMIZE $LDFLAGS) \
<(head -n 7 generated/build.sh 2>/dev/null | sed '7s/ -o .*//')
then
echo -n "Library probe"